PHP K�sikirja
Edellinen |  | Seuraava

# SoapClient->__getLastResponse()

SoapClient->__getLastResponse() -- Returns last SOAP response.

## Description

class SoapClient {
string __getLastResponse ( void )
}

> Huomaa: This method works only if the SoapClient object was created with the trace option.

## Return values

The last SOAP response.

## Examples

Esimerkki 1. SoapClient->__getLastResponse() example

`<?php $client = SoapClient("some.wsdl", array('trace' => 1)); $result = $client->SomeFunction(); echo "RESPONSE:\n" . $client->__getLastResponse() . "\n"; ?>`

## See Also

SoapClient->__construct()
SoapClient->__getLastResponseHeaders()
SoapClient->__getLastRequest()
SoapClient->__getLastRequestHeaders()

Edellinen | Alkuun | Seuraava
SoapClient->__getLastRequestHeaders() | Ylös | SoapClient->__getLastResponseHeaders()